net.sf.okapi.lib.xliff2.core

## Enum InsingnificantPartData.InsignificantPartType

- java.lang.Object
- - java.lang.Enum<InsingnificantPartData.InsignificantPartType>
  - - net.sf.okapi.lib.xliff2.core.InsingnificantPartData.InsignificantPartType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<InsingnificantPartData.InsignificantPartType>
  Enclosing class:
    InsingnificantPartData

      public static enum InsingnificantPartData.InsignificantPartType
      extends java.lang.Enum<InsingnificantPartData.InsignificantPartType>

  Types of insignificant parts.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COMMENT` XML Comment.
    `PI` XML processing Instruction.
    `TEXT` Normal text content (e.g indentation, etc).

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static InsingnificantPartData.InsignificantPartType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static InsingnificantPartData.InsignificantPartType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TEXT

          public static final InsingnificantPartData.InsignificantPartType TEXT

      Normal text content (e.g indentation, etc).

    - #### COMMENT

          public static final InsingnificantPartData.InsignificantPartType COMMENT

      XML Comment.

    - #### PI

          public static final InsingnificantPartData.InsignificantPartType PI

      XML processing Instruction.

  - ### Method Detail

    - #### values

          public static InsingnificantPartData.InsignificantPartType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (InsingnificantPartData.InsignificantPartType c : InsingnificantPartData.InsignificantPartType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static InsingnificantPartData.InsignificantPartType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null